Package org.jbpm.workflow.core.impl

## Class NodeContainerImpl

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeContainerImpl

- All Implemented Interfaces:
    `Serializable`, `NodeContainer`, `org.kie.api.definition.process.NodeContainer`

      public class NodeContainerImpl
      extends Object
      implements Serializable, NodeContainer

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeContainerImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addNode​(org.kie.api.definition.process.Node node)` | Method for adding a node to this node container.
    `org.kie.api.definition.process.Node` | `getNode​(long id)` |
    `org.kie.api.definition.process.Node` | `getNodeByUniqueId​(String nodeId)` |
    `org.kie.api.definition.process.Node[]` | `getNodes()` |
    `org.kie.api.definition.process.Node` | `internalGetNode​(long id)` |
    `void` | `removeNode​(org.kie.api.definition.process.Node node)` | Method for removing a node from this node container
    `Context` | `resolveContext​(String contextId, Object param)` |
    `protected void` | `validateAddNode​(org.kie.api.definition.process.Node node)` |
    `protected void` | `validateRemoveNode​(org.kie.api.definition.process.Node node)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeContainerImpl

          public NodeContainerImpl()

  - ### Method Detail

    - #### addNode

          public void addNode​(org.kie.api.definition.process.Node node)

      Description copied from interface: `NodeContainer`
      Method for adding a node to this node container. Note that the node will get an id unique for this node container.
      Specified by:
        `addNode` in interface `NodeContainer`
      Parameters:
        `node` - the node to be added

    - #### validateAddNode

          protected void validateAddNode​(org.kie.api.definition.process.Node node)

    - #### getNodes

          public org.kie.api.definition.process.Node[] getNodes()

      Specified by:
        `getNodes` in interface `org.kie.api.definition.process.NodeContainer`

    - #### getNode

          public org.kie.api.definition.process.Node getNode​(long id)

      Specified by:
        `getNode` in interface `org.kie.api.definition.process.NodeContainer`

    - #### getNodeByUniqueId

          public org.kie.api.definition.process.Node getNodeByUniqueId​(String nodeId)

      Specified by:
        `getNodeByUniqueId` in interface `org.kie.api.definition.process.NodeContainer`

    - #### internalGetNode

          public org.kie.api.definition.process.Node internalGetNode​(long id)

      Specified by:
        `internalGetNode` in interface `NodeContainer`

    - #### removeNode

          public void removeNode​(org.kie.api.definition.process.Node node)

      Description copied from interface: `NodeContainer`
      Method for removing a node from this node container
      Specified by:
        `removeNode` in interface `NodeContainer`
      Parameters:
        `node` - the node to be removed

    - #### validateRemoveNode

          protected void validateRemoveNode​(org.kie.api.definition.process.Node node)

    - #### resolveContext

          public Context resolveContext​(String contextId,
                                        Object param)

      Specified by:
        `resolveContext` in interface `NodeContainer`